API Reference
Customers
List customers with search and pagination
Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Query Parameters
cursor?string
Pagination cursor
limit?integer
Number of items per page (1-100; higher values cap at 100)
Range
1 <= valueDefault
20q?string
Search by name
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/customers"{ "data": [ { "id": "string", "organization_id": "string", "name": "string", "email": "string", "phone": "string", "website": "string", "contact_person": "string", "address_line1": "string", "address_line2": "string", "country": "string", "city": "string", "state": "string", "postal_code": "string", "tax_id": "string", "notes": "string", "created_at": "string", "updated_at": "string", "country_code": "string", "electronic_address": "string", "electronic_address_scheme": "string", "routing_extensions": { "it_codice_destinatario": "string", "it_pec": "user@example.com", "de_leitweg_id": "string", "fr_preferred_pdp": "string" }, "preferred_channel": "peppol" } ], "meta": { "count": 0, "next_cursor": "string" }}Create a new customer
Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customers" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": { "id": "string", "organization_id": "string", "name": "string", "email": "string", "phone": "string", "website": "string", "contact_person": "string", "address_line1": "string", "address_line2": "string", "country": "string", "city": "string", "state": "string", "postal_code": "string", "tax_id": "string", "notes": "string", "created_at": "string", "updated_at": "string", "country_code": "string", "electronic_address": "string", "electronic_address_scheme": "string", "routing_extensions": { "it_codice_destinatario": "string", "it_pec": "user@example.com", "de_leitweg_id": "string", "fr_preferred_pdp": "string" }, "preferred_channel": "peppol" }}Get a single customer by ID
Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/customers/string"{ "data": { "id": "string", "organization_id": "string", "name": "string", "email": "string", "phone": "string", "website": "string", "contact_person": "string", "address_line1": "string", "address_line2": "string", "country": "string", "city": "string", "state": "string", "postal_code": "string", "tax_id": "string", "notes": "string", "created_at": "string", "updated_at": "string", "country_code": "string", "electronic_address": "string", "electronic_address_scheme": "string", "routing_extensions": { "it_codice_destinatario": "string", "it_pec": "user@example.com", "de_leitweg_id": "string", "fr_preferred_pdp": "string" }, "preferred_channel": "peppol" }}Update customer fields
Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/customers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "organization_id": "string", "name": "string", "email": "string", "phone": "string", "website": "string", "contact_person": "string", "address_line1": "string", "address_line2": "string", "country": "string", "city": "string", "state": "string", "postal_code": "string", "tax_id": "string", "notes": "string", "created_at": "string", "updated_at": "string", "country_code": "string", "electronic_address": "string", "electronic_address_scheme": "string", "routing_extensions": { "it_codice_destinatario": "string", "it_pec": "user@example.com", "de_leitweg_id": "string", "fr_preferred_pdp": "string" }, "preferred_channel": "peppol" }}